namespace Unibas.MorraCinese {

public class Gioco {
    
    private int partiteVinteDalComputer = 0;
    private int partiteVinteDalGiocatore = 0;
    private string nomeGiocatore;
    
    public string NomeGiocatore {
        get { return this.nomeGiocatore; }
        set { this.nomeGiocatore = value; }
    }
        
    public int PartiteVinteDalComputer {
        get { return this.partiteVinteDalComputer; }
    }
    
    public int PartiteVinteDalGiocatore {
        get { return this.partiteVinteDalGiocatore; }
    }

    public void GestisciPartita(Partita partita) {
        System.Diagnostics.Debug.Assert(partita.Stato != StatoPartita.PARTITAINCORSO, "Partita non conclusa. Stato attuale " + partita.Stato);
        if (partita.Stato == StatoPartita.PARTITAVINTADALCOMPUTER) {
            this.partiteVinteDalComputer++;         
        } else if (partita.Stato == StatoPartita.PARTITAVINTADALGIOCATORE) {
            this.partiteVinteDalGiocatore++;
        }
    }    
    
}

}
